VME Intensity Monitor - Feature #11260
Milestone # 10477 (New): ANUB Startup

ACNET devices for scale factor and offset
12/19/2015 08:05 PM - John Diamond

Status: Closed Start date: 12/19/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 3.00 hours
Description

Should report the scale factor and offset for a filter chain. See I/R:BEAMSF and I/R:BEAMOF.

History

#1 - 12/22/2015 09:33 PM - John Diamond
- Status changed from New to Assigned

- Assignee set to John Diamond

Implemented a method for accessing the ScaleFilter coefficients at runtime through a map in VMElInt.
Used this method to implement vmeintScaleSet(..) and to display the scale factors in vmeintShow().

#2 - 12/22/2015 09:33 PM - John Diamond
- % Done changed from 0 to 50

Need to create an accessor for the scale factor and offset devices.

#3 - 12/23/2015 10:43 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 50 to 100

Implemented ScalingACNET class and vmeintScalingACNETCreate(..) CLI command.
Created ACNET devices for scaling I:DCCT and R:DCCT -

I:DCCTOF
I:DCCTSF
R:DCCTOF
R:DCCTSF
